geoMatrixCutOff_InverseExponential <- function(centroids, cutOff, functionDist, alpha =2, theta =0.01){
  spatialNeighbors <- dnearneigh(centroids, 0,  cutOff, row.names=NULL, longlat=TRUE)
  dlist <- nbdists(spatialNeighbors, centroid.x1, longlat=TRUE)
  
  if (functionDist =="inverse"){
    dlist1 <- lapply(dlist, function(x) 1/(x^alpha))		
  }
  if (functionDist =="exponential"){
    dlist1 <- lapply(dlist, function(x) exp(-theta*x))		
  }
  
  spatialMatrixNorm_mat <- nb2mat(spatialNeighbors, glist=dlist1, zero.policy=TRUE, style="B")
  spatialMatrixNorm <- mat2listw(spatialMatrixNorm_mat, style="B")	
  
  list(spatialMatrixNorm_mat= spatialMatrixNorm_mat, spatialMatrixNorm= spatialMatrixNorm)
}
